Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.client.state
Class ConsumerState

    java.lang.Object
      org.jboss.jms.client.state.HierarchicalStateSupport
          org.jboss.jms.client.state.ConsumerState

All Implemented Interfaces:
  HierarchicalState

public class ConsumerState
extends HierarchicalStateSupport

State corresponding to a Consumer. This state is acessible inside aspects/interceptors.

Version:
  `$Revision: 1.8 $` $Id: ConsumerState.java,v 1.8 2006/03/10 19:46:38 timfox Exp $
Author:
  Tim Fox

Field Summary

Fields inherited from class org.jboss.jms.client.state.HierarchicalStateSupport
`children, delegate, parent`

Constructor Summary
`ConsumerState(SessionState parent, ConsumerDelegate delegate, Destination dest, java.lang.String selector, boolean noLocal, int consumerID, boolean isCC)`

Method Summary
`int` | `getConsumerID()`
`Destination` | `getDestination()`
`MessageCallbackHandler` | `getMessageCallbackHandler()`
`java.lang.String` | `getSelector()`
`Version` | `getVersionToUse()`
`boolean` | `isConnectionConsumer()`
`boolean` | `isNoLocal()`
`void` | `setMessageCallbackHandler(MessageCallbackHandler handler)`

Methods inherited from class org.jboss.jms.client.state.HierarchicalStateSupport
`getChildren, getDelegate, getParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsumerState

    public ConsumerState(SessionState parent,
                         ConsumerDelegate delegate,
                         Destination dest,
                         java.lang.String selector,
                         boolean noLocal,
                         int consumerID,
                         boolean isCC)

Method Detail

### getDestination

    public Destination getDestination()

### getSelector

    public java.lang.String getSelector()

### isNoLocal

    public boolean isNoLocal()

### getConsumerID

    public int getConsumerID()

### isConnectionConsumer

    public boolean isConnectionConsumer()

### setMessageCallbackHandler

    public void setMessageCallbackHandler(MessageCallbackHandler handler)

### getMessageCallbackHandler

    public MessageCallbackHandler getMessageCallbackHandler()

### getVersionToUse

    public Version getVersionToUse()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.